// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from bosch_locator_bridge:srv/ServerMapGetImageWithResolution.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_GET_IMAGE_WITH_RESOLUTION__TRAITS_HPP_
#define BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_GET_IMAGE_WITH_RESOLUTION__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "bosch_locator_bridge/srv/detail/server_map_get_image_with_resolution__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

namespace bosch_locator_bridge
{

namespace srv
{

inline void to_flow_style_yaml(
  const ServerMapGetImageWithResolution_Request & msg,
  std::ostream & out)
{
  out << "{";
  // member: file_name
  {
    out << "file_name: ";
    rosidl_generator_traits::value_to_yaml(msg.file_name, out);
    out << ", ";
  }

  // member: resolution
  {
    out << "resolution: ";
    rosidl_generator_traits::value_to_yaml(msg.resolution, out);
    out << ", ";
  }

  // member: map_name
  {
    out << "map_name: ";
    rosidl_generator_traits::value_to_yaml(msg.map_name, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ServerMapGetImageWithResolution_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: file_name
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "file_name: ";
    rosidl_generator_traits::value_to_yaml(msg.file_name, out);
    out << "\n";
  }

  // member: resolution
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "resolution: ";
    rosidl_generator_traits::value_to_yaml(msg.resolution, out);
    out << "\n";
  }

  // member: map_name
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "map_name: ";
    rosidl_generator_traits::value_to_yaml(msg.map_name, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ServerMapGetImageWithResolution_Request & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace bosch_locator_bridge

namespace rosidl_generator_traits
{

[[deprecated("use bosch_locator_bridge::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  bosch_locator_bridge::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use bosch_locator_bridge::srv::to_yaml() instead")]]
inline std::string to_yaml(const bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request & msg)
{
  return bosch_locator_bridge::srv::to_yaml(msg);
}

template<>
inline const char * data_type<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>()
{
  return "bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>()
{
  return "bosch_locator_bridge/srv/ServerMapGetImageWithResolution_Request";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace bosch_locator_bridge
{

namespace srv
{

inline void to_flow_style_yaml(
  const ServerMapGetImageWithResolution_Response & msg,
  std::ostream & out)
{
  (void)msg;
  out << "null";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ServerMapGetImageWithResolution_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  (void)msg;
  (void)indentation;
  out << "null\n";
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ServerMapGetImageWithResolution_Response & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace bosch_locator_bridge

namespace rosidl_generator_traits
{

[[deprecated("use bosch_locator_bridge::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  bosch_locator_bridge::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use bosch_locator_bridge::srv::to_yaml() instead")]]
inline std::string to_yaml(const bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response & msg)
{
  return bosch_locator_bridge::srv::to_yaml(msg);
}

template<>
inline const char * data_type<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>()
{
  return "bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>()
{
  return "bosch_locator_bridge/srv/ServerMapGetImageWithResolution_Response";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>
  : std::integral_constant<bool, true> {};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>
  : std::integral_constant<bool, true> {};

template<>
struct is_message<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace rosidl_generator_traits
{

template<>
inline const char * data_type<bosch_locator_bridge::srv::ServerMapGetImageWithResolution>()
{
  return "bosch_locator_bridge::srv::ServerMapGetImageWithResolution";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ServerMapGetImageWithResolution>()
{
  return "bosch_locator_bridge/srv/ServerMapGetImageWithResolution";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution>
  : std::integral_constant<
    bool,
    has_fixed_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>::value &&
    has_fixed_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>::value
  >
{
};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution>
  : std::integral_constant<
    bool,
    has_bounded_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>::value &&
    has_bounded_size<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>::value
  >
{
};

template<>
struct is_service<bosch_locator_bridge::srv::ServerMapGetImageWithResolution>
  : std::true_type
{
};

template<>
struct is_service_request<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Request>
  : std::true_type
{
};

template<>
struct is_service_response<bosch_locator_bridge::srv::ServerMapGetImageWithResolution_Response>
  : std::true_type
{
};

}  // namespace rosidl_generator_traits

#endif  // BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_GET_IMAGE_WITH_RESOLUTION__TRAITS_HPP_
